Package org.apache.solr.client.solrj.request

# Class DelegationTokenRequest.Renew

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<DelegationTokenResponse.Renew>
org.apache.solr.client.solrj.request.DelegationTokenRequest<DelegationTokenRequest.Renew,DelegationTokenResponse.Renew>
org.apache.solr.client.solrj.request.DelegationTokenRequest.Renew

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `DelegationTokenRequest<Q extends DelegationTokenRequest<Q,R>,R extends DelegationTokenResponse>`

public static class DelegationTokenRequest.Renew extends DelegationTokenRequest<DelegationTokenRequest.Renew,DelegationTokenResponse.Renew>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

`DelegationTokenRequest.Cancel, DelegationTokenRequest.Get, DelegationTokenRequest.Renew`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`token`

### Fields inherited from class org.apache.solr.client.solrj.request.DelegationTokenRequest

`OP_KEY, TOKEN_KEY`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`Renew(String token)`

## Method Summary

Modifier and Type
Method
Description
`DelegationTokenResponse.Renew`
`createResponse(NamedList<Object> namedList)`
Create a new SolrResponse to hold the response from the server.
`SolrParams`
`getParams()`
The parameters for this request; never null.
`protected DelegationTokenRequest.Renew`
`getThis()`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### token

protected String token

## Constructor Details

### Renew

public Renew(String token)

## Method Details

### getThis

protected DelegationTokenRequest.Renew getThis()

Specified by:
  `getThis` in class `DelegationTokenRequest<DelegationTokenRequest.Renew,DelegationTokenResponse.Renew>`

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Specified by:
  `getParams` in class `SolrRequest<DelegationTokenResponse.Renew>`

### createResponse

public DelegationTokenResponse.Renew createResponse(NamedList<Object> namedList)
Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server. If the response extends `SolrResponse`, then there's no need to use the arguments, as `SolrResponse.setResponse(NamedList)` will be called right after this method.

Specified by:
  `createResponse` in class `DelegationTokenRequest<DelegationTokenRequest.Renew,DelegationTokenResponse.Renew>`
Parameters:
  `namedList` - from `SolrClient.request(SolrRequest, String)`.